# Changelog
All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](https://keepachangelog.com/en/1.0.0/),
and this project adheres to [Semantic Versioning](https://semver.org/spec/v2.0.0.html).

```
## [0.0.1] - 2018-12-10 
### Added 
- Added this file and this text

### Changed
### Deprecated
### Removed 
### Fixed
### Security
```

## [Unreleased]
## [0.9.0] - 2019-03-05
### Changed
- ArticleBodyParser constructor now get the newsml string and passing it to NewsML instead of a propertyname
## [0.8.0] - 2019-01-25
### Added
- Created FormBuilder-class
- Create SettingField-class to handle form field data for forms
### Changed
- Change name for form-class from Forms to Form
- Updated FormBuilder to make use of new SettingsField class.
### Fixed
- Minor fixes and optimizations.
- Fixed bug in ``Metabox->shouldUpdate()``

## [0.7.1] - 2019-01-25
### Removed
- Removed unnecessaary files from getting added to the composer package.
- Such as composer.lock, package-lock.json, gulpfile.js

## [0.7.0] - 2019-01-16
### Added 
- Added getTypeProperty to PropertyMapConfig interface
- Added new HtmlBuilder class for handling creation of html for use inside Twig-templates.
### Changed
- Several method signatures in PropertyParser changed to require array arguments instead of string
- Base class for Metaboxes have been updated to use new Forms class for handling of form data
### Fixed
- remove use of deleted function "array_get" in FeedRouter

## [0.6.1] - 2019-01-11
### Fixed
- fix overriding variable in SettingsParameter model to match parent

## [0.6.0] - 2019-01-10
### Changed
- Make setting up required search properties on OpenContentProvider more generic and configurable.  
- Update setting up notifier properties on OpenContentProvider to use PropertyMapper to fetch required properties as default.  
- Minor fixes and optimizations
### Added
- Created SettingsParameter to be used in projects instead of the one provided by the plugin

## [0.5.0] - 2019-01-8
### Added
- Create handling for registration of startups on network and theme level

## [0.4.2] - 2018-12-19
### Fixed
- Update ArticleBodyParser with the new NewsItemPresentation namespace
- Update AppConfig to create instance on all method calls

## [0.4.1] - 2018-12-19
### Fixed
- Update NewsItemPresentation namespace

## [0.4.0] - 2018-12-19
### Changed
- Correct license present through package

## [0.3.0] - 2018-12-19
### Added 
- Added FeedRouter

## [0.2.0] - 2018-12-19
### Added
- Added OpenContentProvider
- Added NewsItemPresentation Interface
### Changed
- Changed ArticleBodyParser to make use of new interface
### Removed 
- Removed NewsMLArticle for use in themes
- Removed Teaser to be recreated in a better state
- Removed BaseArticlePresentation to be recreated in a better state

## [0.1.0] - 2018-12-18
Alpha release
### Added 
- Added this file and this text
